<template>
  <q-page padding class="back-gsr">
    <!-- content -->
    <div class="row q-ma-md" align="center">
      
      <div class="col-12 main-gsr" >
        <h4 style="margin-bottom:1em;">GSR <q-icon name="mdi-file-document-edit"  /> </h4>
        <p>Sistema de Gestão Representaçāo 1.0</p>
      </div>

      <div class="col-12" style="margin-top:6em;">
        <q-input dark color="purple-12" v-model="email" label="Email">
        <template v-slot:prepend>
          <q-icon name="mdi-account" />
        </template>
      </q-input>
      </div>
      <div class="col-12" >
        <q-input dark color="purple-12" v-model="password" label="Senha">
        <template v-slot:prepend>
          <q-icon name="mdi-shield-key-outline" />
        </template>
      </q-input>
      </div>
      <div class="offset-2 col-7 q-ma-sm" style="margin-top:4em;">
         <q-btn outline rounded color="white" @click="toLogin" class="full-width q-mt-sm" label="LOGIN" />
      </div>
      <div class="offset-2 col-7 q-ma-sm" style="margin-top:1em;">
         <q-btn outline rounded color="white" @click="toCadastro" class="full-width q-mt-sm" label="CADASTRE-SE" />
      </div>
      
  
      <div class="col-12">

      </div>


    </div>  

  </q-page>
</template>

<script>
export default {
  // name: 'PageName',
  data(){
    return{
      email: '',
      password: ''
    }
  },
  mounted(){
    // this.$q.loading.show();
  },
  methods:{
    toCadastro(){
      this.$router.push({ path: "/register" });
    },
    async toLogin() {
      console.log('Login GSR')
      try {
        
        const payload = {
          email: this.email,
          password: this.password
        }
        
        const res = await this.$store.dispatch('login/logar', payload)
        
        console.log(res)

        this.$router.push({ path: "/index" });
        
      } catch (error) {
        console.log(error)
      }
    }
  }
}
</script>

<style>
  .back-gsr{
    background-color:#30294B;
    color:white;
  }

</style>
